precision highp float;

uniform sampler2D iChannel0;
varying vec2 v_texCoord;
uniform float u_floatParam;

void main() {
	vec2 uv = v_texCoord.xy;
	float wave = sin(uv.y * 15.0) * (2.0 * u_floatParam - 1.0) / 3.0;
	gl_FragColor = texture2D(iChannel0, uv + vec2(wave, 0));
}