precision highp float;
varying vec2 v_texCoord;
uniform sampler2D u_texSampler;
uniform float u_imageWidth;
uniform float u_imageHeight;
uniform float u_floatParam;

void main() {
    vec3 tc = texture2D(u_texSampler, v_texCoord.xy).xyz;
    gl_FragColor = vec4(tc, 1.0);
}
